(* ---------------------------------------------------- *)
(*                    IBSAP22.PAS                       *)
(*      Turbo Pascal-6502-Interface fuer Apple II       *)
(*                    mit IBS AP22                      *)

                              (* die Register der 6502: *)
VAR  A_Reg  : BYTE    ABSOLUTE $Ffa5;
     X_Reg  : BYTE    ABSOLUTE $Ffa6;
     Y_Reg  : BYTE    ABSOLUTE $Ffa7;
     Xy_Reg : INTEGER ABSOLUTE $Ffa6;
     Ax_Reg : INTEGER ABSOLUTE $Ffa5;
     A_Res  : BYTE    ABSOLUTE $Ff05;
     X_Res  : BYTE    ABSOLUTE $Ff06;
     Y_Res  : BYTE    ABSOLUTE $Ff07;

FUNCTION Read6502 (Adr : INTEGER) : BYTE;
BEGIN
  INLINE ($2a/Adr/$E7/$02/$6f/$26/$00/$C9)
END;

PROCEDURE Write6502 (Adr : INTEGER; Val : BYTE);
BEGIN
  INLINE ($2a/Adr/$3a/Val/$E7/$3/$C9)
END;

PROCEDURE Switch6502 (Adr : INTEGER);
BEGIN
  INLINE ($2a/Adr/$E7/$02/$C9);
END;

PROCEDURE MoveTo6502 (Start,Ziel,Laenge : INTEGER);
BEGIN
  INLINE ( $2a/Start/$Ed/$5b/Ziel/$Ed/$4b/Laenge/$E7/1/$C9)
END;

PROCEDURE MoveFrom6502 (Start,Ziel,Laenge : INTEGER);
BEGIN
  INLINE ( $2a/Start/$Ed/$5b/Ziel/$Ed/$4b/Laenge/$E7/0/$C9)
END;

PROCEDURE Call6502 (Adr : INTEGER);
(* ---------------------------------------------------- *)
(*                    IBSAP22.PAS                       *)
