"Beispielprogramm 1 - W. Kreitmair "
" 'Automatische Sprachanalyse mit PROLOG II' "

aus-SATZ-ableitbar(x) -> 
                  aus-NP-ableitbar(u)   aus-VP-ableitbar(v) 
                  verkette(u,v,x);

aus-NP-ableitbar(x) -> 
                  aus-EIGENNAME-ableitbar(x); 
aus-NP-ableitbar(x) -> 
                  aus-ADJEKTIV-ableitbar(u)   aus-NOMEN-ableitbar(v) 
                  verkette(u,v,x);
aus-NP-ableitbar(x) -> 
                  aus-ARTIKEL-ableitbar(u)  
                  aus-ADJEKTIV-ableitbar(v)  
                  aus-NOMEN-ableitbar(w) 
                  verkette(u,v,x1)  verkette(x1,w,x);
aus-NP-ableitbar(x) -> 
                  aus-ARTIKEL-ableitbar(u)  
                  aus-NOMEN-ableitbar(v)  
                  aus-RELATIVSATZ-ableitbar(w) 
                  verkette(u,v,x1)  verkette(x1,w,x);

aus-VP-ableitbar(x) -> 
                  aus-VERB-ableitbar(x); 
aus-VP-ableitbar(x) -> 
                  aus-KOPULA-ableitbar(u)  aus-ADJEKTIV-ableitbar(v) 
                  verkette(u,v,x);
aus-VP-ableitbar(x) -> 
                  aus-VERB-ableitbar(u)  aus-NP-ableitbar(v) 
                  verkette(u,v,x);

aus-VP'-ableitbar(x) -> 
                  aus-ADJEKTIV-ableitbar(u)  aus-KOPULA-ableitbar(v) 
                  verkette(u,v,x);
aus-VP'-ableitbar(x) -> 
                  aus-VERB-ableitbar(x);  
aus-VP'-ableitbar(x) ->
                   aus-NP-ableitbar(u)  aus-VERB-ableitbar(v)  
                  verkette(u,v,x);

aus-RELATIVSATZ-ableitbar(x) -> ;
aus-RELATIVSATZ-ableitbar(x) -> 
                  aus-RELATIV-PRONOMEN-ableitbar(u)   
                  aus-VP'-ableitbar(v) 
                  verkette(u,v,x);

aus-ARTIKEL-ableitbar(x) -> 
                  aus-UNBEST-ARTIKEL-ableitbar(x); 
aus-ARTIKEL-ableitbar(x) -> 
                  aus-BEST-ARTIKEL-ableitbar(x); 


aus-VERB-ableitbar(x) -> eq(x, schlaeft.nil);
aus-VERB-ableitbar(x) -> eq(x, kuesst.nil);
aus-VERB-ableitbar(x) -> eq(x, liebt.nil);
aus-VERB-ableitbar(x) -> eq(x, heiratet.nil);

aus-KOPULA-ableitbar(x) -> eq(x, ist.nil);

aus-NOMEN-ableitbar(x) -> eq(x, Mann.nil);
aus-NOMEN-ableitbar(x) -> eq(x, Liebhaber.nil);
aus-NOMEN-ableitbar(x) -> eq(x, Ehefrau.nil);
aus-NOMEN-ableitbar(x) -> eq(x, Freundin.nil);

aus-EIGENNAME-ableitbar(x) -> eq(x, Helmut.nil);
aus-EIGENNAME-ableitbar(x) -> eq(x, Rita.nil);

aus-RELATIV-PRONOMEN-ableitbar(x) -> eq(x, der.nil);
aus-RELATIV-PRONOMEN-ableitbar(x) -> eq(x, die.nil);

aus-ADJEKTIV-ableitbar(x) -> eq(x, jung.nil);
aus-ADJEKTIV-ableitbar(x) -> eq(x, junge.nil);
aus-ADJEKTIV-ableitbar(x) -> eq(x, feurig.nil);
aus-ADJEKTIV-ableitbar(x) -> eq(x, feurige.nil);
aus-ADJEKTIV-ableitbar(x) -> eq(x, betrogene.nil);

aus-UNBEST-ARTIKEL-ableitbar(x) -> eq(x, ein.nil);
aus-UNBEST-ARTIKEL-ableitbar(x) -> eq(x, eine.nil);

aus-BEST-ARTIKEL-ableitbar(x) -> eq(x, der.nil);
aus-BEST-ARTIKEL-ableitbar(x) -> eq(x, die.nil);
aus-BEST-ARTIKEL-ableitbar(x) -> eq(x, den.nil);


"Hilfspraedikat"

verkette(nil,x,x) ->;
verkette(x.y, z,x.r ) -> verkette(y,z,r);