"Beispielprogramm 2 - W. Kreitmair "
" 'Automatische Sprachanalyse mit PROLOG II' "

aus-SATZ-ableitbar(x) ->
                  verkette(u,v,x) 
                  aus-NP-ableitbar(u)   aus-VP-ableitbar(v) ;

aus-NP-ableitbar(x) -> 
                  aus-EIGENNAME-ableitbar(x); 
aus-NP-ableitbar(x) -> 
                  verkette(u,v,x)
                  aus-ADJEKTIV-ableitbar(u)   
                  aus-NOMEN-ableitbar(v) ;
aus-NP-ableitbar(x) -> 
                  verkette(x1,w,x)  verkette(u,v,x1)
                  aus-ARTIKEL-ableitbar(u)  
                  aus-ADJEKTIV-ableitbar(v)  
                  aus-NOMEN-ableitbar(w) ;
aus-NP-ableitbar(x) ->
                  verkette(x1,w,x)  verkette(u,v,x1)  
                  aus-ARTIKEL-ableitbar(u)  
                  aus-NOMEN-ableitbar(v)  
                  aus-RELATIVSATZ-ableitbar(w);

aus-VP-ableitbar(x) -> 
                  aus-VERB-ableitbar(x); 
aus-VP-ableitbar(x) ->
                  verkette(u,v,x) 
                  aus-KOPULA-ableitbar(u)  aus-ADJEKTIV-ableitbar(v) ;
aus-VP-ableitbar(x) -> 
                  verkette(u,v,x)
                  aus-VERB-ableitbar(u)  aus-NP-ableitbar(v);

aus-VP'-ableitbar(x) -> 
                  verkette(u,v,x)
                  aus-ADJEKTIV-ableitbar(u)  aus-KOPULA-ableitbar(v) ;
aus-VP'-ableitbar(x) -> 
                  aus-VERB-ableitbar(x);  
aus-VP'-ableitbar(x) ->
                  verkette(u,v,x)
                   aus-NP-ableitbar(u) aus-VERB-ableitbar(v);

aus-RELATIVSATZ-ableitbar(x) -> ;
aus-RELATIVSATZ-ableitbar(x) -> 
                  verkette(u,v,x)
                  aus-RELATIV-PRONOMEN-ableitbar(u)   
                  aus-VP'-ableitbar(v) ;

aus-ARTIKEL-ableitbar(x) -> 
                  aus-UNBEST-ARTIKEL-ableitbar(x); 
aus-ARTIKEL-ableitbar(x) -> 
                  aus-BEST-ARTIKEL-ableitbar(x); 


aus-VERB-ableitbar(schlaeft.nil) ->;
aus-VERB-ableitbar(kuesst.nil) ->;
aus-VERB-ableitbar(liebt.nil) ->;
aus-VERB-ableitbar(heiratet.nil) ->;

aus-KOPULA-ableitbar(ist.nil) ->;

aus-NOMEN-ableitbar(Mann.nil) ->;
aus-NOMEN-ableitbar(Liebhaber.nil) ->;
aus-NOMEN-ableitbar(Ehefrau.nil) ->;
aus-NOMEN-ableitbar(Freundin.nil) ->;

aus-EIGENNAME-ableitbar(Helmut.nil) ->;
aus-EIGENNAME-ableitbar(Rita.nil) ->;

aus-RELATIV-PRONOMEN-ableitbar(der.nil) ->;
aus-RELATIV-PRONOMEN-ableitbar(die.nil) ->;

aus-ADJEKTIV-ableitbar(jung.nil) ->;
aus-ADJEKTIV-ableitbar(junge.nil) ->;
aus-ADJEKTIV-ableitbar(feurig.nil) ->;
aus-ADJEKTIV-ableitbar(feurige.nil) ->;
aus-ADJEKTIV-ableitbar(betrogene.nil) ->;

aus-UNBEST-ARTIKEL-ableitbar(ein.nil) ->;
aus-UNBEST-ARTIKEL-ableitbar(eine.nil) ->;

aus-BEST-ARTIKEL-ableitbar(der.nil) ->;
aus-BEST-ARTIKEL-ableitbar(die.nil) ->;
aus-BEST-ARTIKEL-ableitbar(den.nil) ->;


"Hilfspraedikat"

verkette(nil,x,x) ->;
verkette(x.y, z,x.r ) -> verkette(y,z,r);

